Subject: Re: compiling tcl/tk
From: [email-masked] (Mumit Khan)

25 Jun 1998 09:18:35 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Erik Lins <[email-masked]> writes:
> Hello everyone,
> 
> I just had a look on the Tcl/Tk language for Windows (Win32). It has
> been developed under Borland C++ and in the FAQ there is a description
> how to compile it with MS Visual C++, but I was wondering whether it is
> possible to compile it with the GnuWin32 stuff !?
> Did anybody do this ? Any ideas ?
> 

The Gnu-Win32 CDK sources come with tcl/tk/tix/itcl ready to be built.
The binary version comes with these as well, but has some rather serious
problems. I have newer versions for both cygwin32 and mingw32 up for 
grabs. See:
  
  http://www.xraylith.wisc.edu/~khan/software/tcl/
  ftp://ftp.xraylith.wisc.edu/pub/khan/tcl/tcltk-cygb19.tar.gz

Binary package contains:
  Tcl       8.0p2
  Tk        8.0p2
  Tix       4.1.0.006
  Itcl      1.5
  BLT       8.0p2-unoff

The ftp site also contains patches against the source tree. These come
wholly unsupported, and I probably will not have the time to answer
questions on how to build from sources.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".